SELECT SUM(`f_daily_funnel_report`.`lp_clicks_amount`) AS `temp_calculation_1485062019347042306__2104804147__0_`,
SUM(`f_daily_funnel_report`.`registrations_amount`) AS `temp_calculation_1485062019347042306__624630083__0_`,
SUM(`f_daily_funnel_report`.`visits_amount`) AS `temp_calculation_1485062019347247107__3348897340__0_`,
`d_campaign2`.`campaign_source_key` AS `campaign_source_key__d_campaign2_`,
`d_campaign_type`.`campaign_type_source_key` AS `campaign_type_source_key`,
`d_country`.`country_source_key` AS `country_source_key`,
`d_landing_page_tail`.`landing_page_tail_source_key` AS `landing_page_tail_source_key`,
`d_landing_page`.`name` AS `name__d_landing_page_`,
`d_jump`.`name` AS `name`,
`d_platform`.`platform_source_key` AS `platform_source_key`,
`d_split_flag`.`split_flag_source_key` AS `split_flag_source_key`,
SUM(`f_daily_funnel_report`.`hits_amount`) AS `sum_hits_amount_ok`,
SUM(`f_daily_funnel_report`.`lp_clicks_amount`) AS `sum_lp_clicks_amount_ok`,
SUM(`f_daily_funnel_report`.`registrations_amount`) AS `sum_registrations_amount_ok`,
SUM(`f_daily_funnel_report`.`visits_amount`) AS `sum_visits_amount_ok`,
`d_tds_site_group`.`tds_site_group_source_key` AS `tds_site_group_source_key`,
CAST(DATE_ADD(NEXT_DAY(`f_daily_funnel_report`.`date`,'SU'),-7) AS DATE) AS `twk_calculation_1485062019336982529_ok`,
`d_utm_campaign`.`utm_campaign_source_key` AS `utm_campaign_source_key`,
`d_utm_term`.`utm_term_source_key` AS `utm_term_source_key`
FROM `bench_mtu_p`.`f_daily_funnel_report` `f_daily_funnel_report`
JOIN `bench_mtu_p`.`d_campaign_type` `d_campaign_type` ON (`f_daily_funnel_report`.`campaign_type_id` = `d_campaign_type`.`campaign_type_id`)
JOIN `bench_mtu_p`.`d_country` `d_country` ON (`f_daily_funnel_report`.`country_id` = `d_country`.`country_id`)
JOIN `bench_mtu_p`.`d_jump` `d_jump` ON (`f_daily_funnel_report`.`jump_id` = `d_jump`.`jump_id`)
JOIN `bench_mtu_p`.`d_landing_page` `d_landing_page` ON (`f_daily_funnel_report`.`landing_page_id` = `d_landing_page`.`landing_page_id`)
JOIN `bench_mtu_p`.`d_landing_page_tail` `d_landing_page_tail` ON (`f_daily_funnel_report`.`landing_page_tail_id` = `d_landing_page_tail`.`landing_page_tail_id`)
JOIN `bench_mtu_p`.`d_platform` `d_platform` ON (`f_daily_funnel_report`.`platform_id` = `d_platform`.`platform_id`)
JOIN `bench_mtu_p`.`d_split_flag` `d_split_flag` ON (`f_daily_funnel_report`.`split_flag_id` = `d_split_flag`.`split_flag_id`)
JOIN `bench_mtu_p`.`d_tds_site_group` `d_tds_site_group` ON (`f_daily_funnel_report`.`tds_site_group_id` = `d_tds_site_group`.`tds_site_group_id`)
JOIN `bench_mtu_p`.`d_utm_campaign` `d_utm_campaign` ON (`f_daily_funnel_report`.`utm_campaign_id` = `d_utm_campaign`.`utm_campaign_id`)
JOIN `bench_mtu_p`.`d_utm_term` `d_utm_term` ON (`f_daily_funnel_report`.`utm_term_id` = `d_utm_term`.`utm_term_id`)
JOIN `bench_mtu_p`.`d_campaign` `d_campaign2` ON (`f_daily_funnel_report`.`tds_campaign_id` = `d_campaign2`.`campaign_id`)
WHERE (((CAST (`f_daily_funnel_report`.`date` AS DATE) >= CAST('2017-08-06' AS DATE)) AND (CAST (`f_daily_funnel_report`.`date` AS DATE) <= CAST('2017-08-06' AS DATE))) AND (`d_campaign_type`.`campaign_type_source_key` = 'general'))
GROUP BY `d_campaign2`.`campaign_source_key`,
`d_campaign_type`.`campaign_type_source_key`,
`d_country`.`country_source_key`,
`d_landing_page_tail`.`landing_page_tail_source_key`,
`d_landing_page`.`name`,
`d_jump`.`name`,
`d_platform`.`platform_source_key`,
`d_split_flag`.`split_flag_source_key`,
`d_tds_site_group`.`tds_site_group_source_key`,
CAST(DATE_ADD(NEXT_DAY(`f_daily_funnel_report`.`date`,'SU'),-7) AS DATE),
`d_utm_campaign`.`utm_campaign_source_key`,
`d_utm_term`.`utm_term_source_key`
;
!quit
